#!/usr/bin/env bash

set -euo pipefail

flux install \
  --network-policy=false \
  --watch-all-namespaces=true \
  --namespace=flux-system

flux create source git openappstack \
  --url=https://open.greenhost.net/openappstack/openappstack \
  --branch=master \
  --interval=1m

flux create kustomization openappstack \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/base" \
  --prune=true \
  --interval=10m
