from oas_behave.common_steps import *
from selenium.webdriver.common.by import By
from selenium.webdriver.support import expected_conditions as EC
from selenium.webdriver.support.ui import WebDriverWait

@when(u'I open the rocketchat URL')
@given(u'I open the rocketchat URL')
def step_impl(context):
    """Open rocketchat URL."""
    context.behave_driver.get(context.rocketchat['url'])

@when(u'I open the wordpress URL')
@given(u'I open the wordpress URL')
def step_impl(context):
    """Open wordpress URL."""
    context.behave_driver.get(context.wordpress['url'])

@when(u'I open the grafana explore helm-controller URL')
@given(u'I open the grafana explore helm-controller URL')
def step_impl(context):
    """Open wordpress URL."""
    helm_controller_url = str(context.grafana["url"]) + '/explore?orgId=1&left=["now-1h","now","Loki",{"expr":"{app=\\\"helm-controller\\\"}"}]'
    print(helm_controller_url)
    context.behave_driver.get(helm_controller_url)

@when(u'I wait on element "{element}" to be clickable')
@given(u'I wait on element "{element}" to be clickable')
def step_impl(context, element):
    """Wait for element ro be clickable."""
    wait = WebDriverWait(context.behave_driver, 30)
    wait.until(EC.element_to_be_clickable((By.CLASS_NAME, "button.new")))

@when(u'I wait for the iframe named "{name}" and switch to it')
@given(u'I wait for the iframe named "{name}" and switch to it')
def step_impl(context, name):
    """Wait for the iframe with given name and switch to it."""
    wait = WebDriverWait(context.behave_driver, 30)
    wait.until(EC.frame_to_be_available_and_switch_to_it((By.NAME, name)))
